.span

; =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Handles WM_INITDIALOG message
; =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
WmInitDialog proc hWnd:HWND, defCtrl:HWND, initData:dword

	; Set the Dialog's Icon
	invoke	SendMessage, hWnd, WM_SETICON, ICON_BIG or ICON_SMALL,\
			func(LoadIcon, hInstance, ICON_APP)
	
	ret
WmInitDialog endp

; =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Handles WM_COMMAND message
; =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
WmCommand proc hWnd:HWND, id:dword, hWndCtl:HWND, codeNotify:dword

	csz 	szTitle, "Error"
	csz 	szHelp, "Can't find MsgOnlyWnd window."
	
	; ----------------------------------------------	
	.if id==BUTTON_OK
	
	invoke FindWindow, addr szClassName, NULL
	.if eax == NULL
		invoke MessageBox, hWnd, addr szHelp, addr szTitle, MB_OK or MB_ICONERROR
	.else
		invoke SendMessage, eax, WM_CUSTOM_MESSAGE, 0, 0
	.endif
	
	; ----------------------------------------------
	.endif
	
	ret
WmCommand endp

; =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Handles WM_CLOSE message
; =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
WmClose proc hWnd:HWND
	invoke	EndDialog, hWnd, 0
	ret
WmClose endp